# DIGITAL TCP/IP Services for OpenVMS
Management Command Reference

Previous | Contents

When UCX starts up, this configuration overrides the default settings.

Related commands: SHOW CONFIGURATION COMMUNICATION, SET COMMUNICATION

See the SET COMMUNICATION command.

# SET CONFIGURATION ENABLE SERVICE

> Enters information into the configuration database to enable the specified service when UCX starts up.

> Related commands: SHOW CONFIGURATION ENABLE SERVICE, ENABLE SERVICE

> See the ENABLE SERVICE command.

# SET CONFIGURATION INTERFACE

> Enters information into the configuration database, which defines one of the following when UCX starts up:
> - An internet interface (hardware connection to the network)
> - A serial line internet interface (a form of hardware connection to the network)
> - A pseudo-interface (a data structure that extends subnet routing so that, on the same physical network, an interface acts as a gateway between multiple subnets)

> Related commands: SHOW CONFIGURATION INTERFACE, SET INTERFACE

> Applies to: Routing

> See the SET INTERFACE command.

# SET CONFIGURATION MAP

> Adds information to the configuration database that maps (logically links) one of the following to the NFS server:
> - OpenVMS disk --- Requires one execution of SET CONFIGURATION MAP to map the disk to a UNIX-style path name (logical file system).
> - Container file system --- Requires two executions of SET CONFIGURATION MAP. The first maps the disk, and the second maps the file system.

> Mapping creates a logical file system, also called an NFS file system.

> When the NFS server starts up, it issues GENERATE MAP, which enables file system mapping.

> See the MAP command.

# SET CONFIGURATION NAME_SERVICE

> Upon UCX startup, configures the BIND resolver and designates a BIND server. All settings are systemwide.

> Related commands: SET NAME_SERVICE, SHOW CONFIGURATION NAME_SERVICE

## Format

> ### SET CONFIGURATION [NO]NAME_SERVICE/[NO]SERVER=host [/[NO]DOMAIN=domain | /RETRY=number of retries | /TIMEOUT=seconds | /TRANSPORT=protocol]

## QUALIFIERS

> ### /DOMAIN=domain

> ### /NODOMAIN

> Optional. Default: The local domain.

> Defines the default domain.

> /NODOMAIN deletes the process-specific definition of the domain.

> ### /RETRY=number of retries

> Optional. Default: 4 retries

> Number of times that the BIND resolver attempts to contact a a BIND server if previous tries fail. Do not use with the /SYSTEM.

> ### /SERVER=host

> ### /NOSERVER=host

> Required.

> Host name or address of the BIND server or servers that the Resolver will query.

> To specify multiple hosts, list them by request preference. The resolver sends the first lookup request to the first host on the list.

> /NOSERVER removes hosts from the list.

> If you define a server list and then issue another SET NAME_SERVICE /SERVER command, UCX appends the new servers to the end of the list.

> ### /TIMEOUT=seconds

> Optional. Default: 4.

> Timeout interval for the BIND resolver's requests to a BIND server. Represents the length of time to wait for a reply after each retry attempt.

> - The number of retries is one.
> - The timeout interval is 1 second.

> The total timeout period will be:

> timeout_value * retry_value * number_servers

> ### /TRANSPORT=protocol

> Optional. Default: UDP.

> Protocol used for communicating with a BIND server. Specify one:

> - UDP
> - TCP

##

### Examples

#1

    PARROT> UCX
    UCX> SET CONFIGURATION NAME_SERVICE /SERVER=(PARROT,SORA,JACANA)

> Upon the next UCX startup, defines hosts PARROT, sora, and jaçana as BIND servers. Also enables the BIND resolver.

#2

    UCX> SET CONFIGURATION NAME_SERVICE /SERVER=OSPREY

> Upon UCX startup, defines host OSPREY as the BIND server. The servers that are defined systemwide will not be queried.

# SET CONFIGURATION PROTOCOL

> Enters information into the configuration database which sets the parameters for IP, TCP, UDP, ICMP, RAW_IP, and ARP when UCX starts up.

> Related commands: SET PROTOCOL, SHOW CONFIGURATION PROTOCOL

> Applies to: IP, TCP, UDP, ICMP, ARP

> See the SET PROTOCOL command.

# SET CONFIGURATION SMTP

> Modifies the SMTP configuration in the configuration database.

> SET CONFIGURATION NOSMTP with no qualifiers deletes all SMTP records.

> Related commands: SHOW CONFIGURATION SMTP

## Format

> ### SET CONFIGURATION [NO]SMTP [/ADDRESS_RETRIES=n | /GATEWAY=option=host | /HOP_COUNT_MAXIMUM=n | /INTERVAL=options | /[NO]LOG=[file] | /OPTIONS=options | /POSTMASTER=account | /[NO]QUEUES=n | /RECEIVE_TIMEOUT=minutes | /SEND_TIMEOUT=minutes | /SUBSTITUTE_DOMAIN=options | /[NO]ZONE[=domain]]

## Restrictions

> - For clusters, issue this command only on the nodes where the SMTP queues reside --- nodes that are not using clusterwide queues and are not managing clusterwide queues for other nodes.
> - Requires SYSPRV or BYPASS privileges.

## QUALIFIERS

> ### /ADDRESS_RETRIES=n

> Optional. Default: 16.

> Maximum number of different addresses to which SMTP will send as it tries to deliver mail. Beyond this number of attempts, the message is undeliverable.

> A message is also undeliverable if SMTP fails to deliver after it attempts all the possible addresses from an MX lookup.

> ### /GATEWAY=option=host

> Optional. Default: None.

> An alternate route through which SMTP sends mail if delivery fails.

> - [NO]ALTERNATE=host
>   - Alternate host or domain to which delivery is attempted.
>   - Used by ZONE, if a zone is defined, as the last chance for delivery (see /ZONE).
>   - NOALTERNATE deletes an existing alternate destination.
> - [NO]GENERAL_PURPOSE=host
>   - Gateway to handle non-SMTP mail, for example, UUCP addresses.
>   - NOGENERAL_PURPOSE deletes the specified destination for protocols other than SMTP.

> ### /HOP_COUNT_MAXIMUM=n

> Optional. Default: 16.

> Maximum number of relays (hops) between routers until SMTP considers the mail undeliverable.

> ### /INTERVAL= {INITIAL="OpenVMS_delta_time" | RETRY="OpenVMS_delta_time" | MAXIMUM="OpenVMS_delta_time"}

> Optional. Defaults: INITIAL=30 minutes, RETRY=60 minutes, MAXIMUM=3 days.

> Time intervals related to repeated attempts when delivery fails. Specify the value within quotation marks as follows: "dddd hh:mm:ss:cc." For example:

> dddd | = days (0--9999)
> h | = hours (0--24)
> m | = minutes
> s | = seconds
> cc | = milliseconds

> You can modify these options:

> - INITIAL="OpenVMS_delta_time" is the amount of time that SMTP waits before making a second attempt to deliver.
> - RETRY="OpenVMS_delta_time" is the time SMTP waits between retries, starting with the second attempt. (Recommended time: twice the initial interval.)
> - MAXIMUM="OpenVMS_delta_time" is the maximum elapsed time that SMTP retries delivery.

> ### /LOG=[file]

> ### /NOLOG=[file]

> Optional. Default: SYS$SPECIFIC:[UCX_SMTP]UCX$SMTP_LOGFILE.LOG.

> File to which SMTP queue activity is logged.

> ### /OPTIONS=options

> Optional. Defaults: NOEIGHT_BIT, HEADERS, NORELAY.

> The following are SMTP options:

> - EIGHT_BIT, NOEIGHT_BIT
>   All characters must have the eighth bit clear. Allows the transmission of eight-bit characters.
> - Header control. Specify one:

>   HEADERS | Headers printed at bottom of messages
>   NOHEADERS | Headers omitted
>   TOP_HEADERS | Headers printed at top of messages
>   NOTOP_HEADERS | Resets TOP_HEADERS to the default

> - RELAY, NORELAY
>   Relays mail to other hosts by functioning as an end node.

> ### /POSTMASTER=account

> Optional. Default: The SMTP process's account.

> User name of the account that receives all undeliverable mail. To set up this account:

> 1. Check that the spooling directory is in a SYS$SPECIFIC directory.
> 2. Ensure that the Postmaster account can access the spooling directory.
> 3. Define the same user name and Postmaster in the SMTP service's definition.

> ### /QUEUES=n

> ### /NOQUEUES=n

> Optional. Default: 1.

> Number of execution queues for the specified nodes.

> Use this qualifier only on nodes that own the SMTP queues, that is, nodes not using clusterwide SMTP queues or managing SMTP clusterwide queues for other nodes.

> ### /RECEIVE_TIMEOUT=minutes

> Optional. Default: 5 minutes.

> Maximum time between socket receipts of a message for a particular dialogue.

> If a message is not received within this interval, the connection is broken and the mail control file is deleted.

> ### /SEND_TIMEOUT=minutes

> Optional. Defaults:
> - DATA --- 3 minutes
> - INITIAL --- 5 minutes
> - MAIL --- 5 minutes
> - RECEIPT --- 5 minutes
> - TERMINATION --- 10 minutes

> Maximum time between remote host acknowledgments for a particular SMTP command.

> If an acknowledgment is not received within the specified time, it is assumed that there are communication problems with the remote host. If the next delivery attempt takes place before the mail's delivery date, the mail is rescheduled for later delivery.

> ### /ZONE[=domain] /NOZONE[=domain] 0 0 0 0 0 Optional. Default: /NOZONE (no gateway searching).

> Domain for your environment (probably a superset of your local domain). Mail sent to another network must to be sent to this gateway. With no value, /ZONE defaults to one level higher than your local domain. For example, if your local domain is a.b.com, the default value of /ZONE is b.com because UCX has been started, this assumes that the domain is known

> .

> Mail for delivery outside of your zone is sent to its destination by the alternate gateway (see the /GATEWAY qualifier).

##

### Examples

#1

    UCX> SET CONFIGURATION SMTP /INTERVAL=(INIT="0 00:10:00.00")

> The system waits 10 minutes before making its first attempt to deliver the message.

#2

    UCX> SET CONFIGURATION SMTP /INTERVAL=(RETRY="0 00:20:00.00")

> Specifies the wait time between retries.

#3

    UCX> SET CONFIGURATION SMTP /INTERVAL=(MAX="3 00:20:00.00")

> Specifies the maximum amount of time to retry before an error message is issued.

#4

    UCX> SET CONFIGURATION SMTP /GATEWAY=(ALTERNATE:route_gateway)

> Specifies the alternate host or domain to which delivery is attempted if mail cannot be delivered to the primary destination.

#5

    UCX> SET CONFIGURATION SMTP /GATEWAY=(GENERAL:uucp_gateway)

> Specifies a general-purpose gateway to handle non-SMTP mail.

#6

    UCX> SET CONFIGURATION SMTP /ZONE=rsch.opt.com

> Specifies that rsch is a domain that can be used to divert messages to nodes outside the local domain.

# SET CONFIGURATION SNMP

> Configures SNMP clusterwide.

> SET CONFIGURATION NOSNMP does not require any qualifiers.

> After making changes to the SNMP configuration, shut down and restart the master agent and any subagents. Issue:

>     $ @UCX$SNMP_SHUTDOWN

>     $ @UCX$SNMP_STARTUP

> Related command: SHOW CONFIGURATION SNMP

## Format

> ### SET CONFIGURATION [NO]SNMP [/[NO]ADDRESS=host | /[NO]COMMUNITY=name | /[NO]CONFIRM | /CONTACT=name | /FLAGS=SETS | /LOCATION=options | /TYPE=options]

## Restrictions

> Requires SYSPRV or BYPASS privileges.

> If you add a new community and do not specify:

> - The /TYPE qualifier --- the value of /TYPE defaults to read only.
> - The /ADDRESS qualifier --- the default address is 0.0.0.0.

## QUALIFIERS

> ### /ADDRESS=host

> ### /NOADDRESS=host

> Optional. Default: None.

> Hosts that belong to a particular community.

> A remote host cannot access information from this host unless its address appears in one or more communities. This qualifier must be used in conjunction with the /COMMUNITY qualifier.

> If you add a new community and do not specify this qualifier, the new entry's address is 0.0.0.0.

> If you use the /ADDRESS qualifier with a community that already exists, these addresses are added to the existing address list.

> /NOADDRESS deletes addresses from an existing list. If the deleted address is the only address listed for the community name, this qualifier also deletes the community.

> ### /COMMUNITY=name

> ### /NOCOMMUNITY=name

> Optional. Default: None.

> Used with the /ADDRESS qualifier. Name of the community that the SNMP agent recognizes. Specify a type of access (minimum is READ access) field and a list of host addresses. See the /ADDRESS and /TYPE qualifiers for more information.

> [NO]COMMUNITY="name" removes a community name.

> ### /CONFIRM

> ### /NOCONFIRM

> Optional. Default: /CONFIRM with wildcards.

> When you delete communities (with the /NOCOMMUNITY qualifier), asks first for your confirmation.

> ### /CONTACT=name

> Optional. Default: None.

> Name of the system administrator (or other contact person) of the host on which the SNMP agent runs.

> ### /FLAGS=SETS

> Optional.

> Lets the master agent accept SET commands from SNMP clients.

> ### /LOCATION=options

> Optional. Default: None.

> Location of the system on which the SNMP agent runs. Maximum size is 200 characters.

> The options are:

> 1. [NO]FIRST=text --- Specifies the first 200 characters of the location
> 2. [NO]SECOND=text --- Specifies the second 200 characters of the location
> 3. [NO]THIRD=text --- Specifies the third 200 characters of the location
> 4. [NO]FOURTH=text --- Specifies the fourth 200 characters of the location
> 5. [NO]FIFTH=text --- Specifies the fifth 200 characters of the location
> 6. [NO]SIXTH=text --- Specifies the last 24 characters of the location

> The maximum size of FIRST through FIFTH is 200 characters.

> The maximum size of SIXTH is 24 characters.

> All of the options you specify are appended. For example, if FIRST is "abc" and THIRD is "def" the value of the location is "abcdef" with no spaces.

> ### /TYPE= {[NO]READ | [NO]TRAP | [NO]WRITE}

> Optional. Default: READ.

> Sets the type of access (to your local MIB data) you wish to allow for a specified community.

> - Type READ allows read-only access to the local SNMP MIB objects.
> - Type TRAP allows the local master agent to issue TRAPS to members of a specified community. Members of a TRAP community receive SNMP Trap-PDUs for significant events, including coldStart traps when the agent is initialized, and authenticationFailure traps when the agent receives an SNMP request that specifies an unauthorized community string.
> - Type WRITE lets the master agent accept SET commands from clients (management stations).

> READ access is assumed when specifying TRAP or WRITE.

> You can remove the READ type without affecting the way the agent responds to a request. For example:

>     SET CONFIGURATION SNMP /COMMUNITY="name" /TYPE=NOREAD

##

### Examples

#1

    UCX> SET CONFIGURATION SNMP /COMMUNITY="public" -
    _UCX> /ADDRESS=128.45.2.8

> Configures SNMP, specifying the community name and address.

#2

    UCX> SET CONFIGURATION SNMP /CONTACT=ALICE -
    _UCX /LOCATION=(FIRST=WHEN_,SECOND=SHES_10_FEET,THIRD=_TALL )

> Configures SNMP, specifying the system manager and system location.

#3

    UCX> SET CONFIGURATION SNMP /NOCOMMUNITY="public"

> Removes the community named "public."

#4

    UCX> SET CONFIGURATION SNMP /COMMUNITY="public" -
    _UCX> /FLAGS=SETS

> Configures SNMP, specifying that the agent may accept SET commands from members of the community named "public."

#5

    UCX> SET CONFIGURATION /COMMUNITY="public" /TYPE=TRAP

> Configures SNMP such that the master agent can send TRAP messages to members of the community named "public."

# SET CONFIGURATION START ROUTING

> Enters information into the configuration database to start dynamic routing when UCX starts up.

> Related commands: SHOW CONFIGURATION START ROUTING, START ROUTING

> See the START ROUTING command.

# SET CONFIGURATION TIME

> Resets the standard time zone (STD) previously set during configuration of SMTP and defines the daylight saving time (DST) for the location of your system.

> Related command: SHOW CONFIGURATION TIME

## Format

> ### SET CONFIGURATION TIME "time_zone"

## Restrictions

> Requires SYSPRV or BYPASS privileges.

## PARAMETERS

> ### "time_zone"

> Required.

> Specifies the local host's:

> - Standard time zone
> - Daylight saving time
> - Hours offset from Coordinated Universal Time (UTC), also known as Greenwich Mean Time (GMT)

> Maximum size = 255 bytes

> Syntax:

>     "stdoffset [dst[offset] [,start [/time], end[/time]]]"

> - std --- Required.
>   - 3-character designation for the standard time zone.
>   - Must be followed by offset.
>   - Uppercase and lowercase letters allowed.
> - offset --- Required.
>   Decimal value added to the local time to get UTC.
>   Format: hh[:mm[:ss]]
>   - hh = hour (0 - 24)
>   - mm = optional minutes (0 - 59)
>   - ss = optional seconds (0 - 59)
>   - Leading minus (--) = time zone east of the Prime Meridian
>   - Leading plus (+) = time zone west of the Prime Meridian
> - dst --- Optional.
>   - 3-character designation for the daylight saving time.
>   - Optionally followed by offset. If you omit offset, DST is set at one hour ahead of STD.
>   - Uppercase and lowercase letters allowed.
>   - Default: None. If you omit dst, daylight saving time does not apply in the host's location.
> - start
>   Start of daylight saving time.
>   Format: [J]n Mm.n.d
>   - Jn --- Julian day
>     February 29 never counted
>     - February 28 = Day 59
>     - March 1 = Day 60
>   - n --- Zero-based Julian day
>     Leap days counted
>     - February 28 = Day 59
>     - If February 29, = Day 60
>   - m.n.d --- month, day of month, day of week
>     - m = month
>     - n = day of month
>       5 = last day of month
>     - d = day of week
>       0 = Sunday; 1 = Monday; 2 = Tuesday; 3 = Wednesday;
>       4 = Thursday; 5 = Friday; 6 = Saturday.
> - end
>   End of daylight saving time and start of standard time.
>   Format: [J]n Mm.n.d
>   - Jn --- Julian day
>     February 29 never counted
>     - February 28 = Day 59
>     - March 1 = Day 60
>   - n --- Zero-based Julian day
>     Leap days counted
>     - February 28 = Day 59
>     - If February 29 = Day 60
>   - m.n.d --- month, day of month, day of week
>     - m = month
>     - n = day of month
>       5 = last day of month
>     - d = day of week
>       0 = Sunday; 1 = Monday; 2 = Tuesday; 3 = Wednesday;
>       4 = Thursday; 5 = Friday; 6 = Saturday.
> - /time --- Optional. Default: /02:00:00.
>   Time of change to or from daylight saving time.
>   Format: hh[:mm[:ss]]
>   - hh = hour (0 - 24)
>   - mm = optional minutes (0 - 59)
>   - ss = optional seconds (0 - 59)

##

### Examples

#1

    UCX> SET CONFIGURATION TIME "EST5EDT4,M4.1.0,M10.5.0"

> Sets the local host's time zone to:

> - EST5 --- Eastern standard time with offset 5 hours behind GMT
> - EDT4 --- Daylight saving time with offset 4 hours behind GMT
> - M4.1.0 --- Daylight saving time starts on the first Sunday in April
> - M10.5.0 --- Daylight saving time ends on the last Sunday in October
> - No specified time --- Change to and from daylight saving time at the default of 2:00 a.m.

# SET CONFIGURATION NOMAP

> When UCX starts up, this command removes NFS mapping information from the configuration database UCX$CONFIGURATION.DAT. The previously mapped (logically linked) OpenVMS disk or container file system is no longer visible to the NFS server as a result of this command.

> Related commands: SET CONFIGURATION MAP,
> SHOW CONFIGURATION MAP

> Applies to: NFS server

> See the UNMAP command.

# SET HOST

> Defines or deletes an entry in the hosts database.

> Equivalent to maintaining the /etc/hosts file on UNIX hosts.

> Related command: SHOW HOST, CONVERT/VMS HOST

## Format

> ### SET [NO]HOST host /ADDRESS=IP_address [/[NO]ALIAS=alias | /[NO]CONFIRM]

## Restrictions

> Requires read, write, and delete access to the hosts database.

## PARAMETERS

> ### host

> Required.

> Name of a host that is a source or destination of internet communications.

> > Note

> > To define a name in lowercase or mixed-case, enclose it in quotation marks.

> > If you define a mixed-case name, also define an alias in either all uppercase or all lowercase characters.

> > You cannot delete a host by specifying its alias.

## QUALIFIERS

> ### /ADDRESS=IP_address

> Required for SET HOST.

> Host's IP address.

> ### /ALIAS=alias

> ### /NOALIAS=alias

> Required.

> Alternate name for the host.

> - Not valid with SET NOHOST.
> - /NOALIAS=alias deletes an alias.
> - /NOALIAS=* deletes all aliases.

> ### /CONFIRM

> ### NOCONFIRM

> Optional. Default: /CONFIRM if you use a wildcard.

> When the software encounters a problem, it displays a description and solution and then requests confirmation before deleting each record. Enter one of the following:

> - Y to repair the problem
> - N to ignore the problem
> - G to change to NO CONFIRMATION mode

> Example:

>     %UCX-E-ANA_SUP_BADIICGSIZE, Problem: Bad initial inode cell
>     group size: bad_value
>     Solution: Will be replaced by
>     default size: good_value
>             CONFIRM [Y/N/G]:

##

### Examples

#1

    UCX> SET HOST MOA /ADDRESS=16.33.33.8 -
    _UCX> /ALIAS=("moa","bigbrd","nofly")

> Sets the IP address of host MOA to 11.33.33.8 and establishes moa, bigbrd, and nofly as aliases for host MOA.

#2

    UCX> SET HOST MOA /ALIAS="MOA_2"

> Previous | Next | Contents